Bug 827728 - Needs to depend on usermode-gtk
Needs to depend on usermode-gtk
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 13:10 EDT by Sergio
Modified: 2013-07-20 05:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: gparted-0.16.1-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-04 04:59:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergio 2012-06-02 13:10:36 EDT
Description of problem: opening Gparted from the menu gives an error
http://www.zimagez.com/zimage/screenshot-06022012-012219pm.php
/usr/bin/gparted is a link to /usr/bin/consolehelper which is provided by usermode (also a missing dependency). But it needs usermode-gtk for the password prompt.

Version-Release number of selected component (if applicable):
0.12.0-2.fc17

How reproducible: always.


Steps to Reproduce:
1. Try to open Gparted from menu.
2.
3.
  
Actual results: Pop-ups an error.


Expected results: Open Gparted.


Additional info:
Comment 1 Kamil Páral 2013-04-14 04:16:53 EDT
In Fedora 18 if I remove usermode-gtk, gparted silently fails to run from the application menu. It can still be run from the console.

Gparted should have an explicit dependency on usermode-gtk.

This is a packaging issue, can you please fix it? It has been opened for 10 months!

Thanks.

gparted-0.14.1-1.fc18.x86_64
usermode-gtk-1.111-1.fc18.x86_64
Comment 2 Joseph D. Wagner 2013-05-04 02:06:54 EDT
Thank you!  This one bugged me to no end.

I can confirm both the bug and the workaround.

You may get a faster response by changing the title to something like "gparted missing dependency on usermode-gtk."
Comment 3 Joseph D. Wagner 2013-05-04 02:07:39 EDT
Also, I'm using Fedora 18, so this bug impacts that version too.
Comment 4 Fedora Update System 2013-06-11 12:36:20 EDT
gparted-0.16.1-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc18
Comment 5 Fedora Update System 2013-06-11 12:37:17 EDT
gparted-0.16.1-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gparted-0.16.1-2.fc19
Comment 6 Fedora Update System 2013-06-11 12:38:12 EDT
gparted-0.16.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gparted-0.16.1-1.fc17
Comment 7 Fedora Update System 2013-06-11 22:37:09 EDT
Package gparted-0.16.1-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gparted-0.16.1-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10621/gparted-0.16.1-2.fc18
then log in and leave karma (feedback).
Comment 8 Kamil Páral 2013-06-12 05:28:30 EDT
Confirmed fixed with gparted-0.16.1-2.fc18.
Comment 9 Fedora End Of Life 2013-07-04 04:04:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora Update System 2013-07-20 05:42:31 EDT
gparted-0.16.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-07-20 05:48:17 EDT
gparted-0.16.1-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-07-20 05:49:05 EDT
gparted-0.16.1-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.